[SOLVED] Trouble installing Brave Browser on Ubuntu 18.04 LTS

[SOLVED] Trouble installing Brave Browser on Ubuntu 18.04 LTS
on May 3, 2019

If you’re having trouble installing Brave Browser on Ubuntu 18.04 LTS, then it’s likely because the official instructions show only the steps for Ubuntu 16.04 and not the latest stable release of the OS.

There’s a missing step in the instructions for the older version.

Problem

The following error message appears when you haven’t imported the keys:

$ sudo apt install brave-keyring brave-browser
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package brave-browser is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Unable to locate package brave-keyring
E: Package 'brave-browser' has no installation candidate

Solution

Before installing Brave on Ubuntu 18 you need to import keys from the Ubuntu key server, using the following command:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys D8BAD4DE7EE17AF52A834B2D0BB75829C2D4E821

Do not trust! Verify!

Make sure to verify the above key at the official Brave instructions page. Below the Linux instructions you should see the following:

Copy that key into the above command line, removing the spaces between every 4 characters. It should be one long string, as exemplified. That key may change, for whatever reason, so make sure to grab yours at the official Brave website as linked.

Brave Installation

After you import the keys you can proceed with installation normally, using the documented commands:

curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc | sudo apt-key --keyring /etc/apt/trusted.gpg.d/brave-browser-release.gpg add -
source /etc/os-release
echo "deb [arch=amd64] https://brave-browser-apt-release.s3.brave.com/ $UBUNTU_CODENAME main" | sudo tee /etc/apt/sources.list.d/brave-browser-release-${UBUNTU_CODENAME}.list
sudo apt update
sudo apt install brave-keyring brave-browser

And Bob’s your uncle!